import java.io.FileWriter;
import java.io.PrintWriter;
import java.io.File;


public class Html{
    private File archivo;
    private FileWriter archivoEscribir;
    private PrintWriter escribir;  

    public void introHtml(){
        try{
            //Preparamos las variables
            this.archivo = new File("toro_y_vacas.html");
            this.archivo.createNewFile();
            this.archivoEscribir = new FileWriter(this.archivo);
            this.escribir = new PrintWriter(this.archivoEscribir);
            //Iniciamos la escritura
            this.escribir.println("<head>");
            this.escribir.println("\t<link rel=\"shortcut icon\" href=\"bull-icon_34111.ico\"/>");
            this.escribir.println("\t<title>JuegoToroYVaca</title>");
            this.escribir.println("</head>");
            this.escribir.println("<body>");
            this.escribir.println("\t<div>");
            //Cerramos el archivo
            this.archivoEscribir.close();
            this.escribir.close();
        }catch(Exception e){
            System.out.println("Error: "+e.getMessage());
        }
    }

    public void preparacionEscribirLineaJuego(){
        try{
            //Preparamos las variables
            this.archivo = new File("toro_y_vacas.html");
            this.archivoEscribir = new FileWriter(this.archivo,true);
            this.escribir = new PrintWriter(this.archivoEscribir);
            //Preparamos para escribir las lineas de juegos
            this.escribir.println("\t\t<p>");
            //Cerramos el archivo
            this.archivoEscribir.close();
            this.escribir.close();
        }catch(Exception e){
            System.out.println("Error: "+e.getMessage());
        }
    }

    public void escribirLineaJuego(String texto){
        try{
            //Preparamos las variables
            this.archivo = new File("toro_y_vacas.html");
            this.archivoEscribir = new FileWriter(this.archivo,true);
            this.escribir = new PrintWriter(this.archivoEscribir);
            //Escribimos la linea
            this.escribir.println("\t\t\t"+texto+"<br/>");
            //Cerramos el archivo
            this.archivoEscribir.close();
            this.escribir.close();       
        }catch(Exception e){
            System.out.println("Error: "+e.getMessage());
        }
    }

    public void cerrarHtml(){
        try{
            //Preparamos las variables
            this.archivo = new File("toro_y_vacas.html");
            this.archivoEscribir = new FileWriter(this.archivo,true);
            this.escribir = new PrintWriter(this.archivoEscribir);
            //Cargamos el contenido final del archivo
            this.escribir.println("\t\t</p>");
            this.escribir.println("\t</div>");
            this.escribir.println("</body>");
            //Cerramos el archivo
            this.archivoEscribir.close();
            this.escribir.close();      
        }catch(Exception e){
            System.out.println("Error: "+e.getMessage());
        }
    }
}